> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enad.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a redirect

> Updates an existing redirect's properties including old slug, new slug, type, and locale



## OpenAPI

````yaml /swagger/management-api.json patch /api/v1/{team_slug}/{app_slug}/redirects/{redirect_id}
openapi: 3.0.0
info:
  contact:
    email: support@enad.io
    name: API support
    url: http://enad.io/support
  description: This is the documentation for Public API v1
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  termsOfService: http://enad.io/terms/
  title: Public API
  version: '1.0'
servers:
  - url: //api.enad.io
security: []
paths:
  /api/v1/{team_slug}/{app_slug}/redirects/{redirect_id}:
    patch:
      tags:
        - Redirects
      summary: Update a redirect
      description: >-
        Updates an existing redirect's properties including old slug, new slug,
        type, and locale
      parameters:
        - description: App slug
          in: path
          name: app_slug
          required: true
          schema:
            type: string
        - description: Team slug
          in: path
          name: team_slug
          required: true
          schema:
            type: string
        - description: Redirect UUID id
          in: path
          name: redirect_id
          required: true
          schema:
            type: string
      requestBody:
        $ref: '#/components/requestBodies/internal_pkg_webserver_v1.InputRedirect'
      responses:
        '200':
          description: Redirect created successfully
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/internal_pkg_webserver_v1.OkResponseRedirect
        '400':
          description: Invalid request (e.g. bad UUID, validation error)
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_pkg_webserver_v1.ErrorMessage'
        '401':
          description: Unauthorized access
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_pkg_webserver_v1.ErrorMessage'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_pkg_webserver_v1.ErrorMessage'
      security:
        - BearerAuth: []
components:
  requestBodies:
    internal_pkg_webserver_v1.InputRedirect:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/internal_pkg_webserver_v1.InputRedirect'
      description: Redirect payload
      required: true
  schemas:
    internal_pkg_webserver_v1.OkResponseRedirect:
      properties:
        data:
          $ref: >-
            #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Redirects
        details:
          description: >-
            Additional contextual information about the response. Used to
            provide supplementary details beyond the main data payload, such as
            validation warnings or processing notes
          items:
            type: string
          type: array
        success:
          type: boolean
      type: object
    internal_pkg_webserver_v1.ErrorMessage:
      properties:
        details:
          items:
            type: string
          type: array
        message:
          type: string
        success:
          type: boolean
      type: object
    internal_pkg_webserver_v1.InputRedirect:
      properties:
        item_id:
          type: string
        locale:
          type: string
        new_slug:
          type: string
        old_slug:
          type: string
        type:
          allOf:
            - $ref: >-
                #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.RedirectType
          enum:
            - product
            - page
            - collection
            - category
            - product_bundle
            - brand
            - serie
            - campaign
      required:
        - locale
        - new_slug
        - old_slug
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.Redirects:
      properties:
        id:
          type: string
        item_id:
          type: string
        locale:
          type: string
        new_slug:
          type: string
        old_slug:
          type: string
        type:
          $ref: >-
            #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.RedirectType
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.RedirectType:
      enum:
        - product
        - page
        - collection
        - category
        - product_bundle
      type: string
      x-enum-varnames:
        - ProductRedirect
        - PageRedirect
        - CollectionRedirect
        - CategoryRedirect
        - ProductBundleRedirect

````